package com.lz.modules.flow.req;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*流转记录表
* @author quyixiao
* @since 2020-08-18
*/


@Data
public class FlowRecordReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //部门 id
    private Long departmentId;
    //
    private String departmentLevel;
    //记录 id
    private Long recordId;
    //审批员工 id
    private Long approvalStaffId;
    //审批员工名称
    private String approvalStaffName;
    //角色 id
    private Long roleId;
    //流程名称
    private String flowName;
    //record 表中的员工 id
    private Long recordStaffId;
    //流程 id
    private Long flowId;
    //流程中的第几个步骤
    private Integer flowIndex;
    //在人员关系中的第几步
    private Integer relationIndex;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 部门 id 
     * @return
     */
    public Long getDepartmentId() {
        return departmentId;
    }
    /**
     * 部门 id 
     * @param departmentId
     */
    public void setDepartmentId(Long departmentId) {
        this.departmentId = departmentId;
    }

    /**
     *  
     * @return
     */
    public String getDepartmentLevel() {
        return departmentLevel;
    }
    /**
     *  
     * @param departmentLevel
     */
    public void setDepartmentLevel(String departmentLevel) {
        this.departmentLevel = departmentLevel;
    }

    /**
     * 记录 id 
     * @return
     */
    public Long getRecordId() {
        return recordId;
    }
    /**
     * 记录 id 
     * @param recordId
     */
    public void setRecordId(Long recordId) {
        this.recordId = recordId;
    }

    /**
     * 审批员工 id 
     * @return
     */
    public Long getApprovalStaffId() {
        return approvalStaffId;
    }
    /**
     * 审批员工 id 
     * @param approvalStaffId
     */
    public void setApprovalStaffId(Long approvalStaffId) {
        this.approvalStaffId = approvalStaffId;
    }

    /**
     * 审批员工名称 
     * @return
     */
    public String getApprovalStaffName() {
        return approvalStaffName;
    }
    /**
     * 审批员工名称 
     * @param approvalStaffName
     */
    public void setApprovalStaffName(String approvalStaffName) {
        this.approvalStaffName = approvalStaffName;
    }

    /**
     * 角色 id 
     * @return
     */
    public Long getRoleId() {
        return roleId;
    }
    /**
     * 角色 id 
     * @param roleId
     */
    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    /**
     * 流程名称 
     * @return
     */
    public String getFlowName() {
        return flowName;
    }
    /**
     * 流程名称 
     * @param flowName
     */
    public void setFlowName(String flowName) {
        this.flowName = flowName;
    }

    /**
     * record 表中的员工 id 
     * @return
     */
    public Long getRecordStaffId() {
        return recordStaffId;
    }
    /**
     * record 表中的员工 id 
     * @param recordStaffId
     */
    public void setRecordStaffId(Long recordStaffId) {
        this.recordStaffId = recordStaffId;
    }

    /**
     * 流程 id 
     * @return
     */
    public Long getFlowId() {
        return flowId;
    }
    /**
     * 流程 id 
     * @param flowId
     */
    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    /**
     * 流程中的第几个步骤 
     * @return
     */
    public Integer getFlowIndex() {
        return flowIndex;
    }
    /**
     * 流程中的第几个步骤 
     * @param flowIndex
     */
    public void setFlowIndex(Integer flowIndex) {
        this.flowIndex = flowIndex;
    }

    /**
     * 在人员关系中的第几步 
     * @return
     */
    public Integer getRelationIndex() {
        return relationIndex;
    }
    /**
     * 在人员关系中的第几步 
     * @param relationIndex
     */
    public void setRelationIndex(Integer relationIndex) {
        this.relationIndex = relationIndex;
    }

    @Override
    public String toString() {
        return "FlowRecord{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",departmentId=" + departmentId +
                ",departmentLevel=" + departmentLevel +
                ",recordId=" + recordId +
                ",approvalStaffId=" + approvalStaffId +
                ",approvalStaffName=" + approvalStaffName +
                ",roleId=" + roleId +
                ",flowName=" + flowName +
                ",recordStaffId=" + recordStaffId +
                ",flowId=" + flowId +
                ",flowIndex=" + flowIndex +
                ",relationIndex=" + relationIndex +
                "}";
    }
}